# Import file "Workflow - Importing from Sketch - Scale control"
sketch = Framer.Importer.load("imported/Workflow - Importing from Sketch - Scale control@3x", scale: 1)


# Is the Device an iPhone 8 Plus? -> move some things around
if (Framer.Device.deviceType.substring 0, 19) is "apple-iphone-8-plus"

	# set the container layer to the size of the screen
	sketch.iPhone_7.frame = Screen.frame

	# same for the background
	sketch.Background.frame = Screen.frame
	
	# center the time in the Status Bar
	sketch.Status_Bar_middle_bits.x = Align.center
	# place the battery icon 6 points from the right
	sketch.Status_Bar_right_bits.maxX = Screen.width - 6
	
	# the container of the icons should be more to the right
	sketch.Page_Icons.x = 35
	# … and lower
	sketch.Page_Icons.y = 38
	
	# same for the icons in the Dock
	sketch.Dock_Icons.x = 35
	sketch.Dock_Icons.y = 653
	
	# the Dock is also wider
	sketch.Dock.width = Screen.width
	# and placed at the bottom of the screen
	sketch.Dock.maxY = Screen.height
	
	# we’ll loop through the icons starting with ‘Messages’,
	# so we first have to reverse the current order
	pageIcons = sketch.Page_Icons.subLayers.reverse()
	
	# looping through the icons, row by row
	i = 0
	for rowNumber in [0..4]
		for colNumber in [0..3]
			# placed more to the right
			pageIcons[i].x = colNumber * 95
			# and lower
			pageIcons[i].y = rowNumber * 100
			i++
	
	# and the icons in the Dock need the same treatment
	dockIcons = sketch.Dock_Icons.subLayers.reverse()
	for icon, index in dockIcons
		icon.x = index * 95
